@use "../../styles/helpers";

.products {
  margin-bottom: 36px;
  width: 270px;
}

.fullScreen {
  width: 100%;
}

.product {
  width: 100%;
  height: 88px;
  position: relative;
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.07);
  padding: 10px 8px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 11px;

  &:hover {
    z-index: 1;
    animation: slide-top 0.3s cubic-bezier(0.25, 0.46, 0.45, 0.94) both;

    @keyframes slide-top {
      0% {
        transform: translateZ(0) translateY(0);
      }
      100% {
        transform: translateZ(160px) translateY(-5px) scale(1.05);
        box-shadow: 0 5px 20px 0 rgba(0, 0, 0, 0.5);
      }
    }
  }

  &__icon {
    cursor: pointer;
    width: 145px;
    display: block;
    height: auto;
    margin: auto;
    text-align: center;
  }

  &__desc {
    position: absolute;
    margin-right: auto;
    margin-left: 52px;
    margin-top: 4px;
    align-items: flex-start;
    width: 120px;

    span {
      color: #777777;
    }
  }

  &__noNew {
    width: 145px;
  }

  &__header {
    font-weight: 600;
    margin-bottom: 5px;
    cursor: pointer;
  }

  &__sub {
    font-weight: 100;
  }

  &__right {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    justify-content: space-between;
  }

  &__info {
    display: flex;
    position: relative;
    margin-bottom: 3px;
  }

  &__new {
    background-image: url("./new.svg");
    height: 10px;
    width: 33px;
    margin: 9px 10px 0 0;
  }

  &__include_icon {
    background-image: url("./include.svg");
    position: relative;
    width: 30px;
    height: 30px;
    cursor: pointer;

    &:hover {
      z-index: 2;
      animation: scale-up-hor-left 0.1s cubic-bezier(0.39, 0.575, 0.565, 1) both;

      @keyframes scale-up-hor-left {
        0% {
          transform: scaleX(1);
          transform-origin: 0% 0%;
        }
        40% {
          transform: scaleX(0.9);
          transform-origin: 85% 20%;
        }
        100% {
          transform: scaleX(1);
          transform-origin: 0% 0%;
        }
      }

      .tooltip {
        display: block;
      }
    }
  }

  &__pay {
    padding: 8px 16px 6px;
    margin: 5px 0 0;
    border-radius: 5px;
    background-color: helpers.$darkBlue;
    text-transform: uppercase;
    border: none;
    outline: none;
    color: white;
    transition: background-color 0.3s ease-in-out;

    &:hover {
      background-color: #4fb3ec;
    }
  }

  &__image_wrap {
    width: 100%;
    max-width: 20%;
    flex: 0 0 20%;
    padding-right: 0.3rem;
  }
}

.tooltip {
  display: none;
  position: absolute;
  left: calc(100% + 84px);
  transform: translateY(calc(-50% + 33px));
  background-color: #fff;
  box-shadow: 0px 0px 30px 0px rgba(0, 0, 0, 0.3);
  width: 291px;
  padding: 35px 35px 20px;
  border-radius: 20px;
  z-index: 20;

  &__header {
    font-family: "Montserrat";
    font-size: 16px;
    font-weight: 500;
    margin-bottom: 15px;
  }

  &__list {
    margin-bottom: 20px;
    > * {
      position: relative;
      left: 12px;
      font-size: 14px;
      margin-bottom: 7px;
      line-height: 20px;

      &::before {
        // bullets
        content: "";
        position: absolute;
        top: 5px;
        left: -12px;
        width: 5px;
        height: 5px;
        border-radius: 50%;
        background-color: helpers.$lightBlue;
      }
    }
  }

  &:hover {
    display: block;
  }

  &::before {
    // square
    content: "";
    position: absolute;
    left: -7px;
    top: calc(50% - 15px);
    transform: rotateZ(45deg);
    width: 30px;
    height: 30px;
    background-color: #fff;
  }

  &::after {
    // invisable
    content: "";
    left: -100px;
    top: calc(50% - 30px);
    position: absolute;
    width: 150px;
    height: 70px;
    transform: translateY(-20px);
    background-color: none;
    z-index: 0;
  }
}

.btnInclude {
  width: auto;
  padding: 10px 30px;
}

@media screen and (max-width: helpers.$widthDesktop) {
  .tooltip {
    left: calc(100% + 43px);

    &::after {
      left: -60px;
      width: 100px;
    }
  }
}

// @media screen and (max-width: helpers.$widthTablet) {
// (max-width: 767px) чтобы tooltip корректно отображался при анимации;
@media screen and (max-width: 767px) {
  .product {
    z-index: inherit;

    &:hover {
      -webkit-animation: none !important;
      -moz-animation: none !important;
      -o-animation: none !important;
      -ms-animation: none !important;
      animation: none !important;
    }

    &__icon {
      width: 68px;
    }

    &__desc {
      margin-left: calc(16% + 15px);
    }

    &:last-child {
      margin-bottom: 80px;
    }
  }

  @media screen and (max-width: helpers.$widthTablet) {
    .tooltip {
      width: 220px;
      padding: 25px 15px 20px 20px;
      left: -231px;
      transform: none;
      border-radius: 15px 3px 20px 20px;

      &::before {
        // square
        content: "";
        top: 5px;
        width: 22px;
        height: 22px;
        left: auto;
        right: -11px;
      }

      &::after {
        // Чтобы можно было навести курсор на tooltip
        display: none;
        content: "";
        left: -67px;
        top: calc(50% - 30px);
        position: absolute;
        width: 100px;
        height: 50px;
        background-color: none;
        z-index: 0;
      }
    }
  }

  @media screen and (max-width: helpers.$widthMobile) {
    .products {
      margin-top: 30px;
      margin-bottom: 20px;
    }

    .product {
      padding: 10px 13px;

      &:last-child {
        margin-bottom: 100px;
      }

      &__desc {
        margin-left: calc(15% + 15px);
      }

      &__noNew {
        width: 150px;
      }
    }
  }
}
